Cyberduck Mountain Duck CLI

#10342 closed defect (fixed)

Crash when adding generic password to keychain

Reported by: czechxteam Owned by: dkocher
Priority: high Milestone: 6.6.1
Component: core Version: 6.6.0
Severity: major Keywords:
Cc: Architecture: Intel
Platform: macOS 10.13

Description

Open two browser windows with connection to different SFTP.
Drag&Drop file from one SFTP to another => Crash (log included)

Attachments (1)

Cyberduck_2018-06-01-084653_erben6041a.crash (147.2 KB) - added by czechxteam on Jun 1, 2018 at 6:51:29 AM.
Crashlog

Download all attachments as: .zip

Change History (10)

Changed on Jun 1, 2018 at 6:51:29 AM by czechxteam

Crashlog

comment:1 Changed on Jun 1, 2018 at 6:53:02 AM by czechxteam

  • Milestone set to 7.0

comment:2 Changed on Jun 1, 2018 at 7:05:48 AM by czechxteam

AFAIK the last working version was 6.4.1 (Cyberduck-6.4.1.27633.zip) downloaded from https://cyberduck.io/changelog/

comment:3 Changed on Jun 1, 2018 at 7:10:20 AM by dkocher

Thread 27 Crashed:: Java: background-4
466	0   libsystem_kernel.dylib              0x00007fff5a319b6e __pthread_kill + 10
467	1   libsystem_pthread.dylib             0x00007fff5a4e4080 pthread_kill + 333
468	2   libsystem_c.dylib                   0x00007fff5a2751ae abort + 127
469	3   libjvm.dylib                        0x0000000100dbce0b os::abort(bool) + 25
470	4   libjvm.dylib                        0x0000000100ee4fae VMError::report_and_die() + 2304
471	5   libjvm.dylib                        0x0000000100dbea4e JVM_handle_bsd_signal + 1131
472	6   libjvm.dylib                        0x0000000100dbac8b signalHandler(int, __siginfo*, void*) + 47
473	7   libsystem_platform.dylib            0x00007fff5a4d7f5a _sigtramp + 26
474	8   ???                                 0x00006000016893d8 0 + 105553139897304
475	9   libcore.dylib                       0x0000000120904943 -[EMKeychainProxy addGenericKeychainItemForService:withUsername:password:] + 209

comment:4 Changed on Jun 1, 2018 at 7:10:27 AM by dkocher

  • Milestone changed from 7.0 to 6.6.1

comment:5 Changed on Jun 2, 2018 at 6:04:38 PM by dkocher

  • Owner set to dkocher
  • Status changed from new to assigned
  • Summary changed from Crash while copy file between two SFTP servers to Crash when adding generic password to keychain

Do you connect using

Version 0, edited on Jun 2, 2018 at 6:04:38 PM by dkocher (next)

comment:6 Changed on Jun 3, 2018 at 8:36:54 PM by dkocher

In r44440. Please update to the latest snapshot build available and confirm you can no longer reproduce the crash. Thanks!

comment:7 Changed on Jun 4, 2018 at 5:48:23 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

comment:8 Changed on Jun 4, 2018 at 7:22:46 AM by czechxteam

I use ssh-based (certificate-based) password-less login to SFTP only.
So considering empty password as standard configuration should help.

comment:9 Changed on Jun 4, 2018 at 1:28:45 PM by czechxteam

Looking good This fix help me a lot.

Note: See TracTickets for help on using tickets.
swiss made software